## digikam 4.12.0

=== core/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(digikam)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: digiKam")

option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)
option(ENABLE_LCMS2             "Build digiKam with LCMS2 instead LCMS1 (default=OFF)"                           OFF)
option(ENABLE_BALOOSUPPORT      "Build digiKam with Baloo support (default=ON)"                                  ON)
option(ENABLE_KDEPIMLIBSSUPPORT "Build digiKam with Kdepimlibs support (default=OFF)"                            OFF)

# Mysql support options (experimental):
option(ENABLE_MYSQLSUPPORT      "Build digiKam with MySQL dabatase support (default=OFF)"                        OFF)
option(ENABLE_INTERNALMYSQL     "Build digiKam with internal MySQL server executable (default=OFF)"              OFF)

# Debug options:
option(ENABLE_DIGIKAM_MODELTEST "Enable ModelTest on some models for debugging (default=OFF)"                    OFF)
option(ENABLE_IMGLOADERDEBUGMSG "Build digiKam with more internal debug message into image loader (default=OFF)" OFF)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
set(DIGIKAM_MAJOR_VERSION "4")
set(DIGIKAM_MINOR_VERSION "12")
set(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
set(DIGIKAM_RELEASE_DATE "2015-07-26")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
set(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

# NOTE: This string is used to set libdigikamcore and libdigikamdatabase SO version ID
set(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

set(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Databse Schema version
# We must set this variable here at top level because it is used in both digikam/database and data/database
# Version history:
# 1 : Original database schema
# 2 : 08-08-2014 : Fix Images.names field size (see bug #327646)
set(DBCONFIG_XML_VERSION "2")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.

set(AREA_CODE_GENERAL        "50003")
set(AREA_CODE_KIOSLAVES      "50004")
set(AREA_CODE_SHOWFOTO       "50005")
set(AREA_CODE_IMAGEPLUGINS   "50006")
set(AREA_CODE_DATABASESERVER "50007")
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

macro(SET_DEBUG_AREA_CODE _areacode)
    remove_definitions(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
endmacro()

# ==================================================================================================
# Dependencies

set(QT_MIN_VERSION   "4.6.0")
set(KDE_MIN_VERSION  "4.4.0")
find_package(Qt4  ${QT_MIN_VERSION}  REQUIRED)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(FindPackageHandleStandardArgs)
include(FindPkgConfig)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(MacroUtils)
include(MacroOpenCV)
include(MacroJPEG)

# mandatory

set(PGF_MIN_VERSION   "6.12.24")
find_package(TIFF                    REQUIRED)
find_package(PNG                     REQUIRED)
find_package(PGF ${PGF_MIN_VERSION}  REQUIRED)
find_package(Kexiv2                  REQUIRED)
find_package(Kdcraw                  REQUIRED)

# optional

set(KIPI_MIN_VERSION  "2.0.0")
find_package(Kipi ${KIPI_MIN_VERSION})
find_package(Kface)
find_package(KGeoMap)
find_package(PkgConfig)
find_package(Jasper)
find_package(Eigen3)
find_package(Boost)

# -- check OpenCV --------------------------------------------------------------------------------

set(OPENCV_MIN_VERSION "2.4.9")
DETECT_OPENCV(${OPENCV_MIN_VERSION}  core highgui objdetect contrib legacy imgproc)

# -- check the libkdcraw version -----------------------------------------------------------------

set(KDCRAW_MIN_VERSION "2.2.0")

if(KDCRAW_VERSION)

    message(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
    if(${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
        set(KDCRAW_FOUND FALSE)
    endif()

else()

    message(WARNING "libkdcraw: Version information not found, your version is probably too old.")
    set(KDCRAW_FOUND FALSE)

endif()

# -- check the libkgeomap version -----------------------------------------------------------------

set(KGEOMAP_MIN_VERSION "3.0.0")

if(KGEOMAP_VERSION)

    message(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION} (required: ${KGEOMAP_MIN_VERSION})")
    if(${KGEOMAP_VERSION} VERSION_LESS ${KGEOMAP_MIN_VERSION})
        SET(KGEOMAP_FOUND FALSE)
    endif()

else()

    message(WARNING "libkgeomap: Version information not found, your version is probably too old.")
    set(KGEOMAP_FOUND FALSE)

endif()

# -- LCMS version 1 and 2 library handling (See bug #294105) -------------------------------------
# Note: if ENABLE_LCMS2 is on and no LCMS2 is available, build will fail, even if LCMS1 is present

if(ENABLE_LCMS2)

    message(STATUS "Check for LCMS2 availability...")
    find_package(LCMS2)

    if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))

        message(STATUS "Found LCMS2: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
        set(LCMS_FOUND ${LCMS2_FOUND})
        set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
        set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
        set(USE_LCMS_VERSION_2000 1)

    endif()

else()

    message(STATUS "Check for LCMS1 availability...")
    find_package(LCMS)

    if(LCMS_FOUND)

        message(STATUS "Found LCMS1: ${LCMS_LIBRARIES} ${LCMS_INCLUDE_DIR}")
        set(USE_LCMS_VERSION_1000 1)

    else()

        message(STATUS "Check for LCMS2 availability instead LCMS1...")
        find_package(LCMS2)

        if(LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
            message(STATUS "Found LCMS2 instead LCMS1: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
            set(LCMS_FOUND ${LCMS2_FOUND})
            set(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
            set(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
            set(USE_LCMS_VERSION_2000 1)
        endif()

    endif()

endif()

# -- To link under Solaris (see bug #274484) ------------------------------------------------------

if(NOT WIN32)
    find_library(MATH_LIBRARY m)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
    find_library(KVM_LIBRARY kvm)
endif()

# -- Libjpeg rules --------------------------------------------------------------------------------

DETECT_JPEG()
set(DIGIKAM_LIBJPEG_DIR libjpeg-${JPEG_LIB_VERSION})

# -- Mysql rules ----------------------------------------------------------------------------------

if(ENABLE_MYSQLSUPPORT AND ENABLE_INTERNALMYSQL)

    # Check MySQL executables

    find_program(SERVERCMD_MYSQL mysqld
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/sbin
                       ${MYSQLD_PATH}
                 ENV MYSQLD_PATH )
    message(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

    # NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
    #       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"

    find_program(INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
                 PATHS /usr/sbin
                       /usr/local/sbin
                       /usr/libexec
                       /usr/local/libexec
                       /opt/mysql/libexec
                       /usr/mysql/bin
                       /opt/mysql/bin
                       /usr/share/mysql/scripts
                       ${MYSQL_TOOLS_PATH}
                 ENV MYSQL_TOOLS_PATH)
    message(STATUS "Found MySQL install_db executable at: ${INITCMD_MYSQL}")
    set(DATABASESERVERDIR "${CMAKE_CURRENT_SOURCE_DIR}/databaseserver")

else()

    set(DATABASESERVERDIR "")

endif()

# ==================================================================================================
# Optional dependencies

MACRO_OPTIONAL_FIND_PACKAGE(Doxygen)
MACRO_OPTIONAL_FIND_PACKAGE(Sqlite2)
MACRO_OPTIONAL_FIND_PACKAGE(Lqr-1)

# -- libgphoto2 rules --------------------------------------------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(Gphoto2)

if(NOT WIN32 AND GPHOTO2_FOUND)
    # See bug #268267 : digiKam need to be linked to libusb to prevent crash at gphoto2 init if opencv is linked with libdc1394
    MACRO_OPTIONAL_FIND_PACKAGE(USB)
endif()

if(GPHOTO2_FOUND)
    exec_program(gphoto2-config ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE GPHOTO2_VERSION)
    string(REPLACE "libgphoto2" "" GPHOTO2_VERSION "${GPHOTO2_VERSION}")
    MACRO_ENSURE_VERSION("2.4.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO2)

    if(VERSION_GPHOTO2 AND LIBUSB_FOUND)
        set(GPHOTO2_FOUND true)
    else()
        set(GPHOTO2_FOUND false)
    endif()

    MACRO_ENSURE_VERSION("2.5.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO25)

    if(VERSION_GPHOTO25)
        set(HAVE_GPHOTO25 1)
    else()
        set(HAVE_GPHOTO25 0)
    endif()
endif()

# -- KDEPim libraries rules -------------------------------------------------------------------

if(ENABLE_KDEPIMLIBSSUPPORT)
    MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
endif()

# -- Check LensFun library for Lens auto-correction tool --------------------------------------

MACRO_OPTIONAL_FIND_PACKAGE(LensFun)

set(LENSFUN_MIN_VERSION "0.2.6.0")

if(LENSFUN_VERSION)
    message(STATUS "liblensfun: Found version ${LENSFUN_VERSION} (required: ${LENSFUN_MIN_VERSION})")
    if(${LENSFUN_VERSION} VERSION_LESS ${LENSFUN_MIN_VERSION})
        set(LENSFUN_FOUND FALSE)
    endif()
else()
    message(WARNING "liblensfun: Version information not found, your version is probably too old.")
    set(LENSFUN_FOUND FALSE)
endif()

# -- Baloo rules -----------------------------------------------------------------------------

if(ENABLE_BALOOSUPPORT)
    # Baloo support from 4.12
    if(${KDE_VERSION} VERSION_GREATER "4.11.99")

        MACRO_OPTIONAL_FIND_PACKAGE(KFileMetaData CONFIG)
        MACRO_LOG_FEATURE(KFileMetaData_FOUND "KFileMetaData Library"
                          "A library for extracting file metadata" "https://projects.kde.org/kfilemetadata" TRUE)

        MACRO_OPTIONAL_FIND_PACKAGE(Baloo)
        MACRO_LOG_FEATURE(Baloo_FOUND "Baloo" "Baloo"
                          "http://www.kde.org" TRUE "" "Baloo extends the search and tagging")

        if(NOT KFileMetaData_FOUND)
            set(Baloo_FOUND FALSE)
        endif()

    endif()
endif()

# -- compilation options definitions --------------------------------------------------------

=== extra/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

find_package(KDE4 REQUIRED)
include(MacroOptionalAddSubdirectory)

if(ENABLE_COMPILE_LIBKEXIV2)
    add_subdirectory(libkexiv2)
endif()

if(ENABLE_COMPILE_LIBKDCRAW)
    add_subdirectory(libkdcraw)
endif()

if(ENABLE_COMPILE_LIBKIPI)
    add_subdirectory(libkipi)
endif()

if(ENABLE_COMPILE_LIBKGEOMAP)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libkgeomap)
endif()

if(ENABLE_COMPILE_LIBKFACE)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libkface)
endif()

if(ENABLE_COMPILE_LIBKSANE)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libksane)
endif()

if(ENABLE_COMPILE_LIBMEDIAWIKI)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libmediawiki)
endif()

if(ENABLE_COMPILE_LIBKVKONTAKTE)
    MACRO_OPTIONAL_ADD_SUBDIRECTORY(libkvkontakte)
endif()

add_subdirectory(kipi-plugins)

=== po/CMakeLists.txt ===
add_subdirectory( af )
add_subdirectory( ar )
add_subdirectory( az )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( bn )
add_subdirectory( br )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( csb )
add_subdirectory( cy )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fa )
add_subdirectory( fi )
add_subdirectory( fo )
add_subdirectory( fr )
add_subdirectory( fy )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( ha )
add_subdirectory( he )
add_subdirectory( hi )
add_subdirectory( hr )
add_subdirectory( hsb )
add_subdirectory( hu )
add_subdirectory( id )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ka )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( ku )
add_subdirectory( lb )
add_subdirectory( lo )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( mi )
add_subdirectory( mk )
add_subdirectory( mn )
add_subdirectory( ms )
add_subdirectory( mt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( ne )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( nso )
add_subdirectory( oc )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( rw )
add_subdirectory( se )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sq )
add_subdirectory( sr )
add_subdirectory( sr@Latn )
add_subdirectory( ss )
add_subdirectory( sv )
add_subdirectory( ta )
add_subdirectory( te )
add_subdirectory( tg )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( tt )
add_subdirectory( uk )
add_subdirectory( uz )
add_subdirectory( uz@cyrillic )
add_subdirectory( ven )
add_subdirectory( vi )
add_subdirectory( wa )
add_subdirectory( xh )
add_subdirectory( zh_CN )
add_subdirectory( zh_HK )
add_subdirectory( zh_TW )
add_subdirectory( zu )

=== core/data/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_subdirectory(icons)
add_subdirectory(pics)
add_subdirectory(about)
add_subdirectory(database)
add_subdirectory(hotplug)
add_subdirectory(scripts)

install(FILES tips DESTINATION ${DATA_INSTALL_DIR}/digikam)

=== core/utilities/CMakeLists.txt ===
ADD_SUBDIRECTORY(advancedrename)
ADD_SUBDIRECTORY(importui)
ADD_SUBDIRECTORY(imageeditor)
ADD_SUBDIRECTORY(lighttable)
ADD_SUBDIRECTORY(queuemanager)

=== doc-translated/ar/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ar/ SUBDIR digikam )

=== doc-translated/az/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/az/ SUBDIR digikam )

=== doc-translated/bg/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/bg/ SUBDIR digikam )

=== doc-translated/bn/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/bn/ SUBDIR digikam )

=== doc-translated/br/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/br/ SUBDIR digikam )

=== doc-translated/bs/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/bs/ SUBDIR digikam )

=== doc-translated/da/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da/ SUBDIR digikam )

=== debian/changelog ===
digikam (4:4.12.0-0ubuntu7) xenial; urgency=medium

  * mysql-server-core does not exist; it is virtual-mysql-server-core.
    So fix that so the Build-Depends alternative will work, and while
    we're there also switch from 5.6 to 5.7 since 5.6 will cease to
    exist in Xenial soon.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 13 Apr 2016 11:57:32 +0000

digikam (4:4.12.0-0ubuntu6) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:27:47 +0000

digikam (4:4.12.0-0ubuntu5) wily; urgency=medium

  * No change rebuild for libkexiv2-11v5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 22:51:14 +0100

digikam (4:4.12.0-0ubuntu4) wily; urgency=medium

  * Fix libkvkontakte1 to include library file
  * In override_dh_shlibdeps don't exclude usr/lib/kde4 from paths for
    shlibs LP: #1483620

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 16:24:53 +0100

digikam (4:4.12.0-0ubuntu3) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:05:06 +0000

digikam (4:4.12.0-0ubuntu2) wily; urgency=medium

  * Remove reference to build-dep on libusb2-dev which seems to confuse
    soyuz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Aug 2015 10:47:56 +0200

digikam (4:4.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 03 Aug 2015 21:11:53 +0100

digikam (4:4.10.0-0ubuntu2) wily; urgency=medium

  * Comment out files for gpssync plugin since we don't have libkgeomap
    available at the moment
    - update debian/kipi-plugins-common.install 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 27 May 2015 16:29:23 -0500

digikam (4:4.10.0-0ubuntu1) wily; urgency=medium

  * New upstream release 
  * Rebuild without libkgeomap which is now part of applications 15.04

 -- Clive Johnston <clivejo@aol.com>  Thu, 21 May 2015 23:50:06 +0100

digikam (4:4.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 11 Apr 2015 20:39:50 +0000

=== debian/control ===
Source: digikam
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.9), pkg-config, cmake (>= 2.6.2),
 doxygen,
 kdelibs5-dev (>= 4:4.10), kdepimlibs5-dev (>= 4:4.10),
 libmarble-dev (>= 4:4.10),
 libkipi-dev (>= 4:4.10), libkexiv2-dev (>= 4:4.10), libkdcraw-dev (>= 4:4.10), libksane-dev (>= 4:4.10),
 libqt4-dev, libqt4-opengl-dev [!armhf], libgl1-mesa-dev [!armhf], libglu1-mesa-dev [!armhf],
 libkqoauth-dev,
 libqtwebkit-dev, libqtgstreamer-dev,
 libmagickcore-dev, imagemagick,
 libhupnp-dev,
 libgtk2.0-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libgpod-nogtk-dev,
 libqca2-dev,
 libqjson-dev,
 libpng-dev, libtiff-dev, libjpeg-dev,
 shared-desktop-ontologies,
 mysql-server-core-5.7 | virtual-mysql-server-core,
 libglib2.0-dev, libgphoto2-dev (>= 2.4),
 libusb-dev [!kfreebsd-any], libusb2-dev [kfreebsd-any],
 liblcms2-dev, liblqr-1-0-dev,
 libopencv-dev (>= 2.4.5),
 libjasper-dev,
 liblensfun-dev (>= 0.2.7),
 libsqlite3-dev,
 libsqlite0-dev,
 libpgf-dev,
 flex, bison, libeigen3-dev (>= 3.1.2),
 libboost-graph-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev,
# for libksane:
 libsane-dev,
# for libkexiv2:
 libexiv2-dev,
 dh-apparmor,
 valgrind,
 libkface-dev,
 baloo-dev,
 libkfilemetadata-dev
Build-Conflicts: libgraphicsmagick1-dev
Standards-Version: 3.9.5
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/digikam
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/digikam
X-Debian-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-kde/kde-extras/digikam/trunk
X-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
Homepage: http://www.digikam.org

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins, ffmpegthumbs | mplayerthumbs
Suggests: digikam-doc, systemsettings, libqt4-sql-mysql
Conflicts: ${digikam:Conflicts}
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions. 
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam. 
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual) 
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow. 
 .
 New Features of the KDE4 version:
  Runs on any platform that supports Qt4 and KDE4
  Supports XMP metadata
  Reads, writes and converts into DNG format
  New RAW processing tool, gamma-correction in 16 bits
  Preview of video and audio files
  Database file is independent of photo libraries, enabling remote paths,
   multiple roots and offline archives
  Improved database with many more metadata that can be searched
  Marble integration, geographical filtering with the mouse on the map
  New search finds duplicates and similar images
  Help menu lists all RAW formats and digiKam component versions
  DNG, RWL, NEF and PEF RAW file can be metadata edited
  Usability improvements for netbooks
  Non-modal image editor
  Thumbnail bar in preview mode
  Live search boxes in both sidebars and main window
  New camera interface, capture tool, scanner interface
  New plugin based on lensfun for automatic lens error corrections
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extensions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dolphin, kipi-plugins
Breaks: kipi-plugins-common (<< 4:3.1.0-2~)
Replaces: kipi-plugins-common (<< 4:3.1.0-2~)
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
Priority: extra
Description: debugging symbols for digiKam
 The debugging symbols associated with digiKam and showFoto. They will
 automatically be used by GDB for debugging digiKam-related issues.
 .
 This package should be installed if you wish to obtain a backtrace with 
 symbols.

Package: digikam-data
Architecture: all
Depends: ${misc:Depends}, opencv-data
Breaks: kipi-plugins-common (<< 4:3.1.0-2~)
Replaces: kipi-plugins-common (<< 4:3.1.0-2~)
Conflicts: ${digikam:Conflicts}
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.

Package: digikam-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter4 | khelpcenter
Recommends: digikam
Section: doc
Description: handbook for digiKam 
 digiKam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digiKam and kipi-plugins.

Package: kipi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version})
Breaks: digikam (<< 4:3.4.0), kipi-plugins-common (<< 4:3.1.0-3ubuntu1~)
Replaces: digikam (<< 4:3.4.0), kipi-plugins-common (<< 4:3.1.0-3ubuntu1~)
Recommends: imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gallery, gimp, kmail, vorbis-tools
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to/from a remote Facebook
  FlickrExport       : export images to a remote Flickr based web service
  GalleryExport      : export images to a remote Gallery (and Gallery 2)
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML page
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  RemoveRedEyes      : remove red eyes on image automatically
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to/from a remote SmugMug
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo 
  DebianScreenshots  : export images to Debian Screenshots web service
  Kopete             : export images to an instant messaging contact
  YandexFotki        : export images to Yandex web service
  MediaWiki          : export images to Mediawiki based web service
  RajceExport        : export images to Rajce web service
  Vkontakte          : export images to VKontakte web service
  PhotoLayoutEditor  : assemble images together
  ImageShackExport   : export images to ImageShack web service
  ImgurExport        : export images to ImgUr web service
  DLNAExport         : export collection on DLNA network service 
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Depends: ${misc:Depends}
Breaks: digikam (<< 4:2.3.0-2~), digikam-data (<< 4:3.1.0-3ubuntu1~)
Replaces: digikam (<< 4:2.3.0-2~), digikam-data (<< 4:3.1.0-3ubuntu1~)
Conflicts: ${digikam:Conflicts}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

Package: libmediawiki1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE C++ interface for MediaWiki based web services (runtime)
 libmediawiki is a KDE C++ interface for MediaWiki based web service as 
 wikipedia.org
 .
 This package contains the shared library to be used by applications

Package: libkvkontakte1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: vkontakte.ru library
 libkvkontakte1 is a KDE C++ library for asynchronous interaction with the
 vkontakte.ru social network via its open API.
 .
 This package contains the shared library to be used by applications.

=== debian/rules ===
#!/usr/bin/make -f

USE_PRIVATE_KDEGRAPHICS := n
PRIVATE_LIBDIR := /usr/lib/digikam
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

ifeq ($(USE_PRIVATE_KDEGRAPHICS),y)
  # Force to use local libkipi, libkexiv2, and libkdcraw implementation
  EXTRA_CMAKE_ARGS += -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=ON
  CONFLICTS_SUBSTVAR := libkipi-data, libkexiv2-data, libkdcraw-data, libksane-data
else
  EXTRA_CMAKE_ARGS += -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS=OFF
endif

DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')
DEB_VERSION_UPSTREAM := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/-[^-]*$$//' | sed -e 's/^[0-9]*://')

%:
	dh $@ --with kde --parallel

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- \
	  -DCMAKE_INSTALL_RPATH="$(PRIVATE_LIBDIR)" \
	  -DDIGIKAMSC_COMPILE_DOC=on \
	  -DDIGIKAMSC_COMPILE_PO=on \
	  -DENABLE_LCMS2=ON \
	  -DKDE4_BUILD_TESTS=OFF \
	  -DDIGIKAMSC_COMPILE_LIBKGEOMAP=OFF \
	  -DDIGIKAMSC_COMPILE_LIBMEDIAWIKI=ON \
	  -DDIGIKAMSC_COMPILE_LIBKVKONTAKTE=ON \
	  $(EXTRA_CMAKE_ARGS)

override_dh_installchangelogs:
	dh_installchangelogs -pdigikam core/ChangeLog
	dh_installchangelogs -pkipi-plugins extra/kipi-plugins/ChangeLog
	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit
	dh_apparmor -pdigikam --profile-name=usr.sbin.mysqld-digikam

override_dh_install:
	dh_install --list-missing
	install -m 644 -p -D debian/usr.sbin.mysqld-digikam \
		debian/digikam/etc/apparmor.d/usr.sbin.mysqld-digikam
	install -m 755 -p -D debian/mysqld-digikam \
		debian/digikam/usr/sbin/mysqld-digikam

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/digikam-private-libs/$(PRIVATE_LIBDIR):$(CURDIR)/debian/kipi-plugins/$(PRIVATE_LIBDIR)

override_dh_gencontrol:
	dh_gencontrol -plibmediawiki1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION) -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'
	dh_gencontrol -plibkvkontakte1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION) -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'
	dh_gencontrol --remaining-packages -- -Vdigikam:Conflicts='$(CONFLICTS_SUBSTVAR)'

override_dh_strip:
	# Don't include the libraries in the debug package to prevent file conflicts
	# in the future. We have -dbgsym packages anyway.
	dh_strip -plibmediawiki1 -plibkvkontakte1
	dh_strip --remaining-packages --dbg-package=digikam-dbg

override_dh_makeshlibs:
	dh_makeshlibs -plibkface2 -V 'libkface2 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs -plibmediawiki1 -V 'libmediawiki1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs -plibkvkontakte1 -V 'libkvkontakte1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs --remaining-packages

# auto tests require user interaction - override
override_dh_auto_test:

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/  \
 http://download.kde.org/stable/digikam/digikam-(.*).tar.bz2

opts=uversionmangle=s/-/~/  \
 http://download.kde.org/unstable/digikam/digikam-(.*).tar.bz2
